#include "socregsviewer.h"

socRegsViewer::socRegsViewer(const QString &name, QWidget *parent) :
    QScrollArea(parent)
{
    p_name = name;
    p_scrollAreaWdgt = new QWidget(this);
    p_scrollAreaWdgtLayout = new QGridLayout(p_scrollAreaWdgt);
    //p_layout = new QGridLayout(this);
    p_nameLabel = new QLabel(name);
    setWidget(p_scrollAreaWdgt);
    setWidgetResizable(true);
    p_scrollAreaWdgt->setLayout(p_scrollAreaWdgtLayout);
    p_scrollAreaWdgtLayout->addWidget(p_nameLabel,0,0,1,1);
}

peripheralWidget *socRegsViewer::peripheral(int index)
{
    if(index>=0 && index<p_peripherals.count())
    {
        return p_peripherals.at(index);
    }
    return NULL;
}

void socRegsViewer::addPeripheral(peripheralWidget *peripheral)
{
    if(peripheral!=NULL)
    {
        p_peripherals.append(peripheral);
        p_scrollAreaWdgtLayout->addWidget(peripheral,p_peripherals.count(),0,1,-1);
    }
}
